<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js%22%3E"></script>
    <title>Note</title>
    <style>
    body {
        background-image: linear-gradient(#AC46A1, #C05299, #D55D92, #EA698B);
    }

    .header {
        background-image: linear-gradient(#b5179e, #D100D1, #D100D1, #b5179e);
        padding: 20px;
        text-align: center;
        color: white;
        font-size: 30px;
        border-radius: 10px;
    }

    table, td, th {
        border: 1px solid #892b64;
    }

    table {
        border-collapse: collapse;
        width: 100%;
        color: white;
        margin-top: 30px;
    }

    th, td {
        text-align: left;
        padding: 8px;
    }

    tr:nth-child(even){
        background-image: linear-gradient(#f20089, #e500a4);
    }

    tr:nth-child(odd){
        background-image: linear-gradient(#bc00dd, #db00b6);
    }

    th {
        text-align: center;
        background-image: linear-gradient(#a100f2, #b100e8, #bc00dd);
        color: white;
        font-size: 14pt;
    }

    .btn-primary, .btn-success {
        margin-right: 10px;
        }

    </style>
</head>

<body>
    {% include "lab4_navbar.html" %}

    <div class="header">
      <h1>DAFTAR PESAN</h1>
      <p>Selamat membaca!</p>
    </div>

    <script>
        $("#NoteForm").submit(function (e) {
            e.preventDefault();
            var serializedData = $(this).serialize();
            $.ajax({
                type: 'POST',
                url: "/lab-2/json/",
                data: serializedData,
                success: function (response) {

                    var instance = JSON.parse(response["instance"]);
                    var fields = instance[0]["fields"];
                    $("#my_friends tbody").prepend(
                        `<tr>
                        <td>${fields["penerima"]||""}</td>
                        <td>${fields["pengirim"]||""}</td>
                        <td>${fields["judul"]||""}</td>
                        <td>${fields["pesan"]||""}</td>
                        </tr>`
                    )
                },
                error: function (response) {
                    alert(response["responseJSON"]["error"]);
                }
            })
        })
    </script>

    <table>
      <tr>
        <th>Penerima</th>
        <th>Pengirim</th>
        <th>Judul Pesan</th>
        <th>Actions</th>
      </tr>
<!--      {% for note in notes %}-->
<!--      <tr>-->
<!--        <td>{{note.penerima}}</td>-->
<!--        <td>{{note.pengirim}}</td>-->
<!--        <td>{{note.judul}}</td>-->
<!--        <td>-->
<!--            <div class="text-center">-->
<!--                <button type="button" class="btn btn-primary">View</button>-->
<!--                <button type="button" class="btn btn-success">Edit</button>-->
<!--                <button type="button" class="btn btn-danger">Delete</button>-->
<!--            </div>-->
<!--        </td>-->
<!--      </tr>-->
<!--      {% endfor %}-->
    </table>
</body>
</html>